@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playwrite+GB+S:wght@100..400&family=Poppins:ital,wght@0,400;0,700;1,400&display=swap');


:root {
    /* Colours */
    --primary-clr: #F25A15;
    --primary-clr-light: #f8ac8a;
    --primary-clr-dark: #91360c;

    --white-clr: #ffffff;
    --grey-white-clr: #EDF2F8;
    --black-clr: #000000;
    --grey-black-clr: #0B0C0F;

    --accent-clr: #80C4E9;
    --secondary-accent-clr: #FFF6E9;
    --tertiary-accent-clr: #604CC3;

    --footer-text-color: #BFCCCC;

    /* Font Family */
    --ff-primary: "Poppins", sans-serif;
    --ff-section-header: "Playwrite GB S", cursive;


    /* Font Size */
    --fs10: 0.9rem;
    --fs20: 1rem;
    --fs50: 1.1rem;
    --fs100: 1.2rem;
    --fs150: 1.35rem;
    --fs200: 1.45rem;
    --fs300: 1.7rem;
    --fs400: 1.85rem;
    --fs500: 2rem;
    --fs600: 2.5rem;
    --fs700: 2.8rem;

    /* Utility Properties */
    --button-radius: 1rem;
    --box-shadow: 0.3rem 0.01rem 0.5rem 0.1rem;
    --secondary-box-shadow: -0.1rem 0.1rem 1.5rem -0.7rem;
    /* --box-shadow: 0.3rem 0.01rem 0.5rem 0.1rem; */
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

html::-webkit-scrollbar {
    background: var(--white-clr);
    width: 0.4rem;
}

html::-webkit-scrollbar-thumb {
    background: var(--black-clr);
}

html::-webkit-scrollbar-thumb:hover {
    background: var(--primary-clr);
}

body {
    font-family: var(--ff-primary);
    font-weight: 600;
    font-style: normal;
}

/* main section .section-header {
    padding: 0 0 1rem;
} */

main section:not(.gallery_slider, .featured, .hero) {
    padding: 5% 5% 8%;
}

main section .section-header h1 {
    font: var(--fs200) var(--ff-section-header);
    font-optical-sizing: auto;
    font-weight: bold;
    color: var(--tertiary-accent-clr);
}


/* HERO SECTION START HERE */

main .hero {
    background-image: linear-gradient(180deg, #000 100%, var(--primary-clr) 0%), url(../images/gallery/gym\ cta.webp);
    background-size: cover;
    min-height: 100vh;
    width: 100%;
    padding: 0 5% 8%;
}

main header {
    background: var(--black-clr);
    box-shadow: var(--box-shadow) var(--black-clr);
    padding: 0 5%;
    width: 100%;
    height: 80px;
    color: var(--white-clr);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 990;
}

main header .logo a img {
    width: 100%;
    max-width: 250px;
}


main header .navbar,
main header nav ul {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

main header nav ul li a {
    text-transform: lowercase;
    color: var(--white-clr);
    font-size: var(--fs100);
    transition: all .5s ease-in-out;
}

main header nav ul li a:hover {
    border-bottom: 0.1rem solid var(--primary-clr);
}

main header .mobile_nav {
    position: fixed;
    right: 0;
    top: 0;
    z-index: 999;
    height: 100vh;
    width: 50%;
    background: var(--black-clr);
    margin: 0;
    padding: 5% 0;
    display: none;
    transition: all .5s ease;
}

main header .mobile_nav .block {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}

main  header .mobile_nav .block ul {
    display: flex;
    flex-direction: column;
}

main header .mobile_nav ul li {
    margin-bottom: 0.5rem;
}
main header .mobile_nav ul li a {
    font-size: var(--fs200);
}

main header .menu_bar svg {
    fill: var(--white-clr);
    cursor: pointer;
    width: 40px;
    height: 40px;
    display: none;
}

main header .menu_bar svg:hover {
    fill: var(--primary-clr);
}

main .hero .content_container {
    min-height: 100vh;
    width: 100%;
    display: flex;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    position: relative;
    /* overflow: hidden; */
    color: var(--white-clr);
}

main .hero .content_container::before {
    content: url(../images/gallery/shape\ before.webp);
    position: absolute;
    top: 10%;
    left: 0;
    transform: rotate(90deg);
    opacity: 0.15;
}

main .hero .content_container::after {
    content: url(../images/gallery/shape\ after.webp);
    position: absolute;
    top: 10%;
    right: 0;
    transform: rotate(0deg);
    opacity: 0.1;
}

main .hero .content_container img {
    user-select: none;
}

main .hero .content_container .content_text {
    /* min-width: 300px; */
    /* width: 100%; */
    flex: 1 1 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

main .hero .content_container .content_text div {
    display: block;
    margin-bottom: 1rem;
    z-index: 1;
}

main .hero .svg_blob svg {
    width: 35%;
    position: absolute;
    bottom: -20%;
    left: -10%;
    opacity: 0.1;
    /* z-index: -1; */
}

main .hero .content_container .content_text .heading::before {
    content: 'Get 20% OFF';
    color: var(--primary-clr);
    font-weight: normal;
    font-style: italic;
    font-size: var(--fs200);
}

main .hero .content_container .content_text h1 {
    font-size: var(--fs600);
    max-width: 20ch;
}

main .hero .content_container .content_text h1 span {
    color: var(--primary-clr);
}

main .hero .content_container .content_text p {
    width: 55ch;
    font-weight: 500;
    line-height: 1.2rem;
    letter-spacing: 0.05rem;
    margin-bottom: 0.5rem;
}

main .hero .content_container .content_text .cta-button {
    display: flex;
    align-items: center;
    gap: 1rem;
}

main .hero .content_container .content_text .cta-button a {
    padding: 0.6rem 1.2rem;
    color: var(--white-clr);
    background: var(--accent-clr);
    font-size: 1em;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    transition: all .5s ease-in-out;
}

main .hero .content_container .content_text .cta-button a:nth-child(1):hover {
    transform: translate3d(-1rem, -0.5rem, 0);
}

main .hero .content_container .content_text .cta-button a:nth-child(2) {
    background: transparent;
}

main .hero .content_container .content_text .cta-button  a:nth-child(2):hover {
    background: var(--accent-clr);
    color: var(--black-clr);
}

main .hero .content_container .content_image {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    position: relative;
    /* min-width: 300px; */
    /* flex-basis: 40%; */
    flex: 1 1 40%;
}

main .hero .content_container .content_image img {
    border-radius: 2rem;
    object-fit: cover;
    object-position: center;
    width: 100%;
    max-width: 240px;
    height: 340px;
    cursor: pointer;
    z-index: 1;
}

main .hero .content_container .content_image::after {
    content: url(../images/gallery/gym\ before.webp);
    position: absolute;
    /* z-index: 2; */
    right: 0;
    bottom: 0;
}

main .hero .content_container .content_image .col {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

main .hero .content_container .content_image .one img {
    height: 240px;
    object-fit: cover;
    object-position: top;
}


/* SERVICES SECTION START HERE */

main .services {
    /* padding: 5%; */
    width: 100%;
    min-height: 50vh;
    background: var(--white-clr);
}

main .services .content_container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

main .services .content_image {
    position: relative;
    flex: 1 1 50%;
}

main .services .content_image svg {
    position: absolute;
    width: 250px;
    height: 250px;
    z-index: -1;
    bottom: -10%;
    right: 10%;
    fill: var(--tertiary-accent-clr);
    opacity: 0.3;
}

main .services .content_image img {
    width: 100%;
    max-width: 600px;
    aspect-ratio: 9/16;
}

main .services .content_container .content_text .heading {
    margin: 0.8rem 0;
}

main .services .content_text .row {
    display: flex;
    align-items: baseline;
    gap: 1rem;
}

main .services .content_text {
    flex: 1 1 50%;
}

main .services .content_text .row .card {
    flex-basis: 50%;
    max-height: 500px;
    padding: 10px;
    margin-bottom: 1rem;
    cursor: pointer;
    transition: 1s;
    /* max-width: 280px; */
    /* box-shadow: var(--secondary-box-shadow) var(--black-clr); */
    /* border: 1px solid var(--accent-clr); */
}

main .services .content_text .row .card:hover {
    border-radius: 0.5rem;
    transform: translateY(-1rem);
    box-shadow: none;
}

main .services .content_text .row .card div {
    margin-bottom: 0.5rem;
}

main .services .content_text .row .card .card_image {
    background: var(--secondary-accent-clr);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    position: relative;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
}

main .services .content_text .row .card .card_image svg {
    width: 40px;
    height: 40px;
    fill: var(--primary-clr);
}


main .services .content_text .row .card div p {
    font-weight: 400;
}

main .services .content_text .row .card .card_cta a,
main .about_us .content_image .image_cta a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--black-clr);
    padding: 0.5rem 0;
}

/* main .services .content_text .row .card .card_cta a:hover {
    background: var(--tertiary-accent-clr);
} */

main .services .content_text .row .card .card_cta a:hover svg,
main .about_us .content_image .image_cta a:hover svg {
    transform: translate3d(-0.5rem, 0, 0);
    transition: .5s ease-in-out;
}

main .services .content_text .row .card .card_cta a svg {
    fill: var(--tertiary-accent-clr);
}


main .featured {
    width: 100%;
    padding: 0 5%;
    min-height: 5vh;
    background: var(--primary-clr-dark);
}

main .featured .content_container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

main .featured .content_container img {
    /* aspect-ratio: 16/9; */
    width: 100%;
    max-width: 200px;
    /* height: 100%; */
    opacity: 0.5;
    flex-basis: 1 1 20%;
}


main .about_us {
    width: 100%;
    min-height: 50vh;
    padding: 5%;
}

main .about_us .content_container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

main .about_us .content_container .content_image {
    flex: 1 1 50%;
    height: 100%;
}

main .about_us .content_container .content_image .image_flex {
    position: relative;
}

main .about_us .content_container .content_image .image_flex img {
    max-width: 520px;
    width: 100%;
}

main .about_us .content_image .image_cta {
    position: absolute;
    bottom: 0.35%;
    /* left: 0; */
}

main .about_us .content_image .image_cta a {
    /* padding: 1.9rem 2.1rem; */

    /* padding: 1.9rem 1rem; */
    /* width: 200px; */

    background: var(--tertiary-accent-clr);
    font-size: 1rem;
    color: var(--white-clr);
    border-radius: 0.5rem;
    max-width: 300px;
}

main .about_us .content_container .content_text {
    flex: 1 1 50%;
}

main .about_us .content_container .content_text div:not(.numbers, .row, .card) {
    margin-bottom: 1rem;
}

main .about_us .content_container .content_text .heading h1,
main .services .content_container .content_text .heading h1 {
    font-size: var(--fs400);
    /* letter-spacing: 0.01rem; */
}

main .about_us .content_container .content_text span,
main .about_us .content_container .content_text p {
    font-weight: 400;
    line-height: 1.3rem;
}

main .about_us .content_container .content_text .numbers .row {
    display: flex;
    align-items: center;
    gap: 1rem;
}

main .about_us .content_container .content_text .numbers .row .card {
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    /* justify-content: center; */
    flex: 1 1 50%;
    padding: 1rem 0;
    /* border: 1px solid var(--accent-clr); */
}

main .about_us .content_container .content_text .numbers .row .card h3 {
    font-weight: 400;
    font: var(--fs300) var(--ff-primary);
    color: var(--primary-clr);
}


main .why_us {
    /* padding: 5%; */
    background: var(--grey-black-clr);
    color: var(--white-clr);
}

/* main .why_us .container_heading .col {
    flex: 1 1 50%;
} */
main .why_us .container_heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* flex-direction: row; */
    padding-bottom: 1.5rem;
    /* gap: 1rem; */
}

main .why_us .container_heading .col .main_heading h1 {
    font-size: var(--fs400);
}

main .why_us .container_heading .col .section_content p {
    width: 65ch;
    font-weight: 400;
    line-height: 1.2rem;
}

main .why_us .content_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    /* gap: 0.7rem; */
    overflow: hidden;
}

main .why_us .content_container .card {
    cursor: pointer;
    position: relative;
    flex: 1 1 20%;
    max-width: 355px;
    height: 100%;
}

main .why_us .content_container .card .card_image {
    padding: 0.2rem;
    border: 0.25rem solid transparent;
    transition: all .5s ease-in-out;
}

main .why_us .content_container .card .card_image:hover {
    border: 0.25rem solid var(--white-clr);
    border-radius: 1rem;
    opacity: 0.5;
}

main .why_us .content_container .card .card_image img {
    aspect-ratio: 9/16;    
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 1rem;
    opacity: 0.7;
    /* height: 450px; */
    /* max-width: 282px; */
}

main .why_us .content_container  .card .float_text {
    position: absolute;
    top: 5%;
    left: 5%;
    z-index: 1;
}

main .why_us .content_container  .card .float_text strong {
    opacity: 0.7;
}

main .why_us .content_container  .card .card_overflow {
    /* background: var(--white-clr); */
    background: transparent;
    color: var(--white-clr);
    min-height: 8vh;
    width: 80%;
    border-radius: 1rem;
    padding: 1rem;
    position: absolute;
    bottom: 0;
    left: 10%;
    display: none;
}

main .why_us .content_container  .card .card_overflow span {
    font-size: 0.8rem;
    font-weight: 400;
}

main .why_us .content_container  .card:hover .card_overflow {
    display: block;
    transition: all .5s ease-in-out;
}



main .gallery_slider {
    padding: 0 5% 5%;
    background: var(--grey-black-clr);
    min-height: 30vh;
}


main .gallery_slider .content_container {
    overflow: hidden;
}

main .gallery_slider .content_container .slider_img_content {
    position: relative;
    width: 1000%;
    /* margin: 2rem auto; */
    left: 0;
    animation: 50s slider infinite;
}

main .gallery_slider .content_container .slider_img_content img {
    width: 10%;
    height: 80vh;
    float: left;
    border-radius: 2rem;
    object-fit: cover;
    object-position: center;
}

@keyframes slider {
    0% {
        left: 0;
    }

    10% {
        left: 0;
    }

    15% {
        left: -100%;
    }

    20% {
        left: -100%;
    }

    25% {
        left: -200%;
    }

    30% {
        left: -200%;
    }

    35% {
        left: -300%;
    }

    40% {
        left: -300%;
    }

    45% {
        left: -400%;
    }

    50% {
        left: -400%;
    }

    55% {
        left: -500%;
    }

    60% {
        left: -500%;
    }

    65% {
        left: -600%;
    }

    70% {
        left: -600%;
    }

    75% {
        left: -700%;
    }

    80% {
        left: -700%;
    }

    85% {
        left: -800%;
    }

    90% {
        left: -800%;
    }

    /* 95% {
        left: -900%
    } */

    100% {
        left: -900%;
    }
}

main .grid_reviews {
    /* padding: 5%; */
    background: var(--grey-white-clr);
    width: 100%;
    min-height: 50vh;
}

main .grid_reviews .content_container {
    display: grid;
    gap: 1rem;
    grid-auto-columns: 1fr;
    grid-template-areas: 'one one two five'
    'three four four five';
}

main .grid_reviews .content_container .grid_card .card_quote svg {
    position: absolute;
    top: -15%;
    right: 5%;
    opacity: 0.2;
    fill: var(--white-clr);
    /* z-index: -1; */
    transform: rotate(180deg);
    width: 200px;
    height: 200px;
}

main .grid_reviews .content_container .grid_card .last_quote svg {
    position: absolute;
    bottom:  -8%;
    right: 5%;
    opacity: 0.1;
    fill: var(--grey-black-clr);
    /* z-index: -1; */
    width: 200px;
    height: 200px;
}

main .grid_reviews .content_container .grid_card {
    padding: 2rem;
    border-radius: 1rem;
    position: relative;
}

main .grid_reviews .content_container .grid_card:nth-child(1) {
    grid-area: one;
}

main .grid_reviews .content_container .grid_card:nth-child(2) {
    grid-area: two;
}
main .grid_reviews .content_container .grid_card:nth-child(3) {
    grid-area: three;
}
main .grid_reviews .content_container .grid_card:nth-child(4) {
    grid-area: four;
}
main .grid_reviews .content_container .grid_card:nth-child(5) {
    grid-area: five;
}
main .grid_reviews .content_container .grid_card .card_profile,
main .grid_reviews .content_container .grid_card .card_heading {
    margin: 0 auto 1rem;
}

main .grid_reviews .content_container .blue {
    background: var(--accent-clr);
}

main .grid_reviews .content_container .purple {
    background: var(--tertiary-accent-clr);
    color: var(--white-clr);
}

main .grid_reviews .content_container .white {
    background: var(--white-clr);
}

main .grid_reviews .content_container .black {
    background: var(--grey-black-clr);
    color: var(--white-clr);
}

main .grid_reviews .content_container .grid_card .card_profile {
    display: flex;
    align-items: center;
    gap: 1rem;
}

main .grid_reviews .content_container .grid_card .card_profile .profile_image img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 0.1rem solid var(--black-clr);
}

main .grid_reviews .content_container .black .card_profile .profile_image img,
main .grid_reviews .content_container .purple .card_profile .profile_image img {
    border-color: var(--white-clr);
}

main .grid_reviews .content_container .grid_card .card_profile .profile_name span {
    font-weight: 500;
    /* color: #BB8EFF; */
    /* opacity: 0.4; */
}

main .grid_reviews .content_container .grid_card .card_heading h2 {
    font-size: var(--fs50);
    font-weight: 500;
}

main .grid_reviews .content_container .grid_card .card_review p {
    font-weight: 500;
    line-height: 1.3rem;
    opacity: 0.6;
    font-size: 0.9rem;
}

main .cta {
    min-height: 25vh;
    background: var(--grey-white-clr);
    /* padding: 5%; */
}

main .cta .content_container {
    /* background: url(Images/gym\ cta.jpg) center no-repeat; */
    background-image: linear-gradient(180deg, #000, #00000040), url(../images/gallery/gym\ cta.webp);
    background-position: center;
    background-size: cover;
    padding: 8%;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    align-items: center;
    justify-content: center;
    color: var(--white-clr);
}

main .cta .content_container span {
    font-size: var(--fs300);
    text-align: center;
}

main .cta .content_container #button {
    /* font-size: var(--fs20); */
    color: var(--white-clr);
    font-weight: 500;
    padding: 0.7rem 1.6rem;
    border: 0.1rem solid var(--white-clr);
    position: relative;
    display: flex;
    align-items: center;
    transition: all .5s ease-in-out;
}

main .cta .content_container #button::before {
    content: '';
    border-bottom: 0.1rem solid var(--white-clr);
    width: 1.5rem;
    position: absolute;
    left: -10%;
}

main .cta .content_container #button::after {
    content: '';
    border-bottom: 0.1rem solid var(--white-clr);
    width: 1.5rem;
    position: absolute;
    right: -10%;
}

main .cta .content_container #button:hover {
    background: var(--primary-clr);
}

footer {
    width: 100%;
    padding: 6.5% 5% 6.5%;
    background: var(--black-clr);
    color: var(--white-clr);

    position: relative;
}

footer .content_container .flex {
    display: flex;
    flex-wrap: wrap;
    /* width: 100%; */
    gap: 4rem;
    font-weight: 100;
    margin-bottom: 2rem;
}

footer .content_container .flex .col {
    flex: 1 1 25%;
}

footer .content_container .flex .col .heading {
    color: var(--primary-clr);
    font-family: var(--ff-section-header);
    padding-bottom: 0.8rem;
}

footer .content_container .flex  .about_flex {
    flex: 1 1 25%;
}

footer .content_container .flex  .about_flex .footer_logo a img {
    width: 100%;
    max-width: 300px;
}

footer .content_container .flex .about_flex .footer_text p {
}

footer .content_container .flex .hours_flex ul li {
    display: flex;
    justify-content: space-between;
}

footer .content_container .flex .hours_flex ul li span {
    max-width: 20ch;
}



footer .content_container .flex .contact_flex .content_links ul li a {
    color: var(--white-clr);
}

footer .content_container .flex .contact_flex .content_links ul li a:hover {
    color: var(--primary-clr);
}

footer .content_container .flex .contact_flex .social_links ul {
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    gap: 1rem;
    padding: 1.5rem 0 ;

}
footer .content_container .flex .contact_flex .social_links ul li {
    width: 25px;
}

footer .content_container .flex .contact_flex .social_links ul li a {
    width: 30px;
    height: 30px;
    transition: all .5s ease-in-out;
}

footer .content_container .flex .contact_flex .social_links ul li a svg {
    fill: var(--white-clr);
}

footer .content_container .flex .sides_flex .social_links ul li {
    width: 25px;
}

footer .content_container .flex .contact_flex .social_links ul li a svg:hover {
    fill: var(--primary-clr);
}

footer .content_container .credits {
    font-weight: 100;
    /* border: 0.5rem solid var(--white-clr); */
}

footer .content_container .credits a {
    color: var(--primary-clr);
}